#include <iostream>
using namespace std;

long int n;
long int x;
long int a;
long int b;
long int k;

int main() {
    cin >> n;
    cin >> x;
    for(long int i=0;i<n;i++){
        cin >> k;
        if (k>x){
            if (k-x>a){
                a=k-x;
            }
        }
        else {
            if (x-k>b){
                b=x-k;
            }
        }
    }
    if (a>b){
        cout << 2*b+a;
    }
    else {
        cout << 2*a+b;
    }
return 0;
}